[Frugalware-darcs] frugalware-current: scratchbox-1.0.2-1-i686

VMiklos vmiklos at frugalware.org
Sun Mar 5 13:47:09 CET 2006


[scratchbox-1.0.2-1-i686
VMiklos <vmiklos at frugalware.org>**20060305021232
 new package
 closes #381
] {
adddir ./extra/source/devel/scratchbox
addfile ./extra/source/devel/scratchbox/FrugalBuild
hunk ./extra/source/devel/scratchbox/FrugalBuild 1
+# Last Modified: Sun, 05 Mar 2006 03:11:04 +0100
+# Compiling Time: 0.01 SBU
+# Maintainer: VMiklos <vmiklos at frugalware.org>
+
+pkgname=scratchbox
+pkgver=1.0.2
+mainver=1.0
+pkgrel=1
+pkgdesc="A cross-compilation toolkit to make embedded application development easier."
+url="http://www.scratchbox.org/"
+depends=('glibc')
+groups=('devel-extra')
+archs=('i686')
+up2date="lynx -dump http://scratchbox.org/download/files/sbox-releases/\$(lynx -dump http://scratchbox.org/download/ |grep '\*.*\]Scratchbox [0-9]' |sed 's/.*x //;q')/tarball/|grep tar.gz$|sed 's/.*-\([^-]*\)-[^-].*$/\1/;q'"
+source=(http://scratchbox.org/download/files/sbox-releases/$mainver/tarball/scratchbox-{core,devkit-debian,devkit-doctools,devkit-perl,libs,toolchain-arm-gcc3.4-glibc2.3,toolchain-host-gcc,toolchain-i686-gcc3.3-glibc2.3}-$pkgver-i386.tar.gz \
+	README.Frugalware rc.scratchbox)
+sha1sums=('688896f25eec4d97bb8ca92e8e6136dd079bb890' \
+	  '224941753f7b281dd2583fed87eaa9600f64d968' \
+	  'd643c90625157faad2c08b74f6c31d0fc1d36f9f' \
+	  '6cb3cd58198fd76d7d5a0b1d5af0b1d27253680b' \
+	  'ed49b19e5e58ba1d703dfcd9f9e6dbb8a0cb70fb' \
+	  'cd809565f7f2e287a8f1387a8e5b36cb2b0068d2' \
+	  '674544651a786686ad9e7feaf219f82877af53ae' \
+	  'dcad43641146a1643949fdc978b4de1fac8d02e1' \
+	  'e3876b80bc1b6e0fc52e58865ad8ee7067c19747' \
+	  '7f17d4a73c673e58d736f3363ae732c63870d301')
+options=('nostrip') # why wasting our time with this if it's already done?
+
+build()
+{
+	Fmkdir /usr/lib
+	cp -pPR scratchbox $Fdestdir/usr/lib/
+	Fln usr/lib/scratchbox scratchbox
+	# no Frcd2 here as no i18n
+	Fexe /etc/rc.d/rc.scratchbox
+	Fdoc README.Frugalware
+}
addfile ./extra/source/devel/scratchbox/README.Frugalware
hunk ./extra/source/devel/scratchbox/README.Frugalware 1
+You need to run
+	/usr/lib/scratchbox/run_me_first.sh
+to complete the install.
+
+Do not forget to create a scratchbox user:
+	/usr/lib/scratchbox/sbin/sbox_adduser <user>
+
+For further documentation about how to setup scratchbox for your development
+needs have a look at
+	http://www.scratchbox.org/documentation/user/
+
+Also note that when you reboot you should run:
+	service scratchbox start
+before trying to run scratchbox. You can also add it to the default runlevel:
+	service scratchbox add
+
+Type /usr/lib/scratchbox/login to start scratchbox.
+
+Remember, in order to run scratchbox, you have to be in the 'sbox' group.
addfile ./extra/source/devel/scratchbox/rc.scratchbox
hunk ./extra/source/devel/scratchbox/rc.scratchbox 1
+#!/bin/bash
+
+# (c) 2006 Miklos Vajna <vmiklos at frugalware.org>
+# rc.scratchbox for Frugalware
+# distributed under GPL License
+
+# chkconfig: 2345 99 01
+# description: Start/stop scratchbox
+
+source /lib/initscripts/functions
+
+actions=(restart start stop)
+daemon="Scratchbox"
+
+rc_start()
+{
+	start_msg
+	/usr/lib/scratchbox/sbin/sbox_ctl start >/dev/null
+	ok $?
+}
+
+rc_stop()
+{
+	stop_msg
+	/usr/lib/scratchbox/sbin/sbox_ctl stop >/dev/null
+	ok $?
+}
+
+rc_exec $1
addfile ./extra/source/devel/scratchbox/scratchbox.install
hunk ./extra/source/devel/scratchbox/scratchbox.install 1
+post_install()
+{
+	if ! grep -q '^sbox:' /etc/group ; then
+		groupadd -g 35 rsyncd
+	fi
+}
+
+post_upgrade()
+{
+	post_install
+}
+
+pre_remove()
+{
+	groupdel sbox
+}
+
+op=$1
+shift
+
+$op $*
}


More information about the Frugalware-darcs mailing list